from django.db import models

class Artist(models.Model):
    artist_name = models.CharField(max_length=69)
    monthly_listeners = models.IntegerField()
    birth_name = models.CharField(max_length=69)
    bio = models.TextField(max_length=700)

class Album(models.Model):
    album_name = models.CharField(max_length=69)
    description = models.TextField(max_length=420)
    release_date = models.DateTimeField()
    label = models.CharField(max_length=69)
    song_count = models.IntegerField()

class Song(models.Model):
    song_title = models.CharField(max_length=69)
    artist = models.CharField(max_length=69)
    album = models.CharField(max_length=69)
    song_length = models.DurationField()
    music_video = models.BooleanField()
    lyrics = models.TextField()

# Create your models here.
